Loading...
Searching...
No Matches
pcl::gpu::kinfuLS Namespace Reference

## Classes

class | ColorVolume
| ColorVolume class. More...
class | CyclicalBuffer
| CyclicalBuffer implements a cyclical TSDF buffer. More...
class | KinfuTracker
| KinfuTracker class encapsulates implementation of Microsoft Kinect Fusion algorithm. More...
class | MarchingCubes
| MarchingCubes implements MarchingCubes functionality for TSDF volume on GPU. More...
struct | PixelRGB
| Input/output pixel format for KinfuTracker. More...
struct | RayCaster
| Class that performs raycasting for TSDF volume. More...
class | StandaloneMarchingCubes
| The Standalone Marching Cubes Class provides encapsulated functionality for the Marching Cubes implementation originally by Anatoly Baksheev. More...
struct | tsdf_buffer
| Structure to handle buffer addresses. More...
class | TsdfVolume
| TsdfVolume class. More...
class | CaptureOpenNI

## Functions

float | dot (const float3 &v1, const float3 &v2)
float3 & | operator+= (float3 &vec, const float &v)
float3 & | operator+= (float3 &vec, const float3 &v)
float3 | operator+ (const float3 &v1, const float3 &v2)
float3 & | operator*= (float3 &vec, const float &v)
float3 & | operator-= (float3 &vec, const float &v)
float3 & | operator-= (float3 &vec, const float3 &v)
float3 | operator- (const float3 &v1, const float3 &v2)
float3 | operator- (const float3 &v1)
float3 | operator- (float3 &v1)
float3 | operator* (const float3 &v1, const float &v)
float | norm (const float3 &v)
std::ostream & | operator<< (std::ostream &os, const float3 &v1)
float3 | cross (const float3 &v1, const float3 &v2)
template<typename PointType>
void | convertMapToOranizedCloud (const RayCaster::MapArr &map, pcl::gpu::DeviceArray2D< PointType > &cloud)
| Converts from map representation to organized not-dence point cloud.

## Function Documentation

## convertMapToOranizedCloud()

template<typename PointType>

void pcl::gpu::kinfuLS::convertMapToOranizedCloud | ( | const RayCaster::MapArr & | map,
|  | pcl::gpu::DeviceArray2D< PointType > & | cloud )

Converts from map representation to organized not-dence point cloud.

## cross()

float3 pcl::gpu::kinfuLS::cross | ( | const float3 & | v1,
|  | const float3 & | v2 )

inline

Definition at line 134 of file float3_operations.h.

## dot()

float pcl::gpu::kinfuLS::dot | ( | const float3 & | v1,
|  | const float3 & | v2 )

inline

Definition at line 49 of file float3_operations.h.

Referenced by norm().

## norm()

float pcl::gpu::kinfuLS::norm | ( | const float3 & | v | ) |

inline

Definition at line 115 of file float3_operations.h.

References dot().

## operator*()

float3 pcl::gpu::kinfuLS::operator* | ( | const float3 & | v1,
|  | const float & | v )

inline

Definition at line 109 of file float3_operations.h.

## operator*=()

float3 & pcl::gpu::kinfuLS::operator*= | ( | float3 & | vec,
|  | const float & | v )

inline

Definition at line 73 of file float3_operations.h.

## operator+()

float3 pcl::gpu::kinfuLS::operator+ | ( | const float3 & | v1,
|  | const float3 & | v2 )

inline

Definition at line 67 of file float3_operations.h.

## operator+=() [1/2]

float3 & pcl::gpu::kinfuLS::operator+= | ( | float3 & | vec,
|  | const float & | v )

inline

Definition at line 55 of file float3_operations.h.

## operator+=() [2/2]

float3 & pcl::gpu::kinfuLS::operator+= | ( | float3 & | vec,
|  | const float3 & | v )

inline

Definition at line 61 of file float3_operations.h.

## operator-() [1/3]

float3 pcl::gpu::kinfuLS::operator- | ( | const float3 & | v1 | ) |

inline

Definition at line 97 of file float3_operations.h.

## operator-() [2/3]

float3 pcl::gpu::kinfuLS::operator- | ( | const float3 & | v1,
|  | const float3 & | v2 )

inline

Definition at line 91 of file float3_operations.h.

## operator-() [3/3]

float3 pcl::gpu::kinfuLS::operator- | ( | float3 & | v1 | ) |

inline

Definition at line 103 of file float3_operations.h.

## operator-=() [1/2]

float3 & pcl::gpu::kinfuLS::operator-= | ( | float3 & | vec,
|  | const float & | v )

inline

Definition at line 79 of file float3_operations.h.

## operator-=() [2/2]

float3 & pcl::gpu::kinfuLS::operator-= | ( | float3 & | vec,
|  | const float3 & | v )

inline

Definition at line 85 of file float3_operations.h.

## operator<<()

std::ostream & pcl::gpu::kinfuLS::operator<< | ( | std::ostream & | os,
|  | const float3 & | v1 )

inline

Definition at line 120 of file float3_operations.h.